<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<!-- <title>Trustonic Tests: 00600_TEE_GetPropertyAsIdentity</title> -->
<img align="right" width="300" src="TrustonicLogo.jpg">
</br>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.7.2 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul class="tablist">
      <li><a href="main.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<h1>00600_TEE_GetPropertyAsIdentity<br/>
<small>
[<a class="el" href="group___g_p__010___properties.html">GP_010_Properties</a>]</small>
</h1>  </div>
</div>
<div class="contents">
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="func-members"></a>
Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____t_e_e___get_property_as_identity.html#ga2f9dc529c7bcdb8815ce9cb5dfd01dcf">TestCase_GC001_AllIdentities</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____t_e_e___get_property_as_identity.html#ga63c28e1f41ba7d9786d373463d325c0c">TestCase_BC002_NonIntegers</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____t_e_e___get_property_as_identity.html#ga7836beda3d0e3e74acc0e78e57a7a986">TestCase_BC003_nameUnknown</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____t_e_e___get_property_as_identity.html#gad0405010eb757ef586b61f01ebd4830d">TestCase_BC004_nameNull</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____t_e_e___get_property_as_identity.html#gade459721bffb1cdfa24fdae4fbf181bd">TestCase_BC005_bufferNull</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____t_e_e___get_property_as_identity.html#ga6302271973c645485b41da5d743959ce">TestCase_GC007_Identity_boundaryStress</a> ()</td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<dl class="user"><dt><b>Description:</b></dt><dd>: This test intends to verify the behavior of TA properties APIs for Getting a Property as an Identity</dd></dl>
<p>TEE_Result TEE_GetPropertyAsIdentity( TEE_PropSetHandle propsetOrEnumerator, [instringopt] char* name, [out] TEE_Identity* value );</p>
<p>For this test, we will need at least one TA.</p>
<p>Enumeration is not performed in this test.</p>
<p>Pre: Open a session to a GPTA.</p>
<p>Post: Close session and check that it succeeds. </p>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="ga2f9dc529c7bcdb8815ce9cb5dfd01dcf"></a><!-- doxytag: member="00600_TEE_GetPropertyAsIdentity.cpp::TestCase_GC001_AllIdentities" ref="ga2f9dc529c7bcdb8815ce9cb5dfd01dcf" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC001_AllIdentities </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>05040000000000000000000000000001 6b28a6d436fe5fb9b5ed59cba151a0fc </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>05040000000000000000000000000001.[drbin/tlbin] is loaded. </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>Verify that an identity property can be correctly retrieved. Also verify all required identity properties.</dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>For TEE_PROPSET_CURRENT_CLIENT get "gpd.client.identity" should return an identity value and TEE_SUCCESS </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Minimum Product Version required for this testcase:</b></dt><dd>400A </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>GP_010_Properties.00600_TEE_GetPropertyAsIdentity.GC001_AllIdentities </dd></dl>

</div>
</div>
<a class="anchor" id="ga63c28e1f41ba7d9786d373463d325c0c"></a><!-- doxytag: member="00600_TEE_GetPropertyAsIdentity.cpp::TestCase_BC002_NonIntegers" ref="ga63c28e1f41ba7d9786d373463d325c0c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_BC002_NonIntegers </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>05040000000000000000000000000001 6b28a6d436fe5fb9b5ed59cba151a0fc </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>05040000000000000000000000000001.[drbin/tlbin] is loaded. </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>Verify that attempted retrieval of incorrect properties as an identity fails. </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>For TEE_PROPSET_CURRENT_TA get "gpd.ta.appID" should return TEE_ERROR_BAD_FORMAT For TEE_PROPSET_CURRENT_TA get "gpd.ta.singleInstance" should return TEE_ERROR_BAD_FORMAT For TEE_PROPSET_CURRENT_TA get "gpd.ta.stackSize" should return TEE_ERROR_BAD_FORMAT For TEE_PROPSET_CURRENT_TA get "gpd.ta.version" should return TEE_ERROR_BAD_FORMAT For TEE_PROPSET_TEE_IMPLEMENTATION get "gpd.tee.trustedos.implementation.binaryversion" should return TEE_ERROR_BAD_FORMAT </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Minimum Product Version required for this testcase:</b></dt><dd>400A </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>GP_010_Properties.00600_TEE_GetPropertyAsIdentity.BC002_NonIntegers </dd></dl>

</div>
</div>
<a class="anchor" id="ga7836beda3d0e3e74acc0e78e57a7a986"></a><!-- doxytag: member="00600_TEE_GetPropertyAsIdentity.cpp::TestCase_BC003_nameUnknown" ref="ga7836beda3d0e3e74acc0e78e57a7a986" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_BC003_nameUnknown </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>05040000000000000000000000000001 6b28a6d436fe5fb9b5ed59cba151a0fc </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>05040000000000000000000000000001.[drbin/tlbin] is loaded. </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>Verify that attempted retrieval of non-existent properties. </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>For TEE_PROPSET_CURRENT_CLIENT get "gpd.ta.stackSize" should return TEE_ERROR_ITEM_NOT_FOUND. For TEE_PROPSET_TEE_IMPLEMENTATION get "gpd.ta.stackSize" should return TEE_ERROR_ITEM_NOT_FOUND. For TEE_PROPSET_CURRENT_TA get "gpd.client.identity" should return TEE_ERROR_ITEM_NOT_FOUND. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Minimum Product Version required for this testcase:</b></dt><dd>400A </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>GP_010_Properties.00600_TEE_GetPropertyAsIdentity.BC003_nameUnknown </dd></dl>

</div>
</div>
<a class="anchor" id="gad0405010eb757ef586b61f01ebd4830d"></a><!-- doxytag: member="00600_TEE_GetPropertyAsIdentity.cpp::TestCase_BC004_nameNull" ref="gad0405010eb757ef586b61f01ebd4830d" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_BC004_nameNull </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>05040000000000000000000000000001 6b28a6d436fe5fb9b5ed59cba151a0fc </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>05040000000000000000000000000001.[drbin/tlbin] is loaded. </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>Verify the behavior of TEE_GetPropertyAsIdentity with input name NULL. </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>For TEE_PROPSET_TEE_IMPLEMENTATION get NULL should result in a TA panic </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Minimum Product Version required for this testcase:</b></dt><dd>400A </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>GP_010_Properties.00600_TEE_GetPropertyAsIdentity.BC004_nameNull </dd></dl>

</div>
</div>
<a class="anchor" id="gade459721bffb1cdfa24fdae4fbf181bd"></a><!-- doxytag: member="00600_TEE_GetPropertyAsIdentity.cpp::TestCase_BC005_bufferNull" ref="gade459721bffb1cdfa24fdae4fbf181bd" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_BC005_bufferNull </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>05040000000000000000000000000001 6b28a6d436fe5fb9b5ed59cba151a0fc </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>05040000000000000000000000000001.[drbin/tlbin] is loaded. </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>Verify the behavior of TEE_GetPropertyAsIdentity on an integer with output pointer NULL. </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>For TEE_PROPSET_CURRENT_CLIENT get "gpd.client.identity" with output pointer NULL should cause a TA panic </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Minimum Product Version required for this testcase:</b></dt><dd>400A </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>GP_010_Properties.00600_TEE_GetPropertyAsIdentity.BC005_bufferNull </dd></dl>

</div>
</div>
<a class="anchor" id="ga6302271973c645485b41da5d743959ce"></a><!-- doxytag: member="00600_TEE_GetPropertyAsIdentity.cpp::TestCase_GC007_Identity_boundaryStress" ref="ga6302271973c645485b41da5d743959ce" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC007_Identity_boundaryStress </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>05040000000000000000000000000001 6b28a6d436fe5fb9b5ed59cba151a0fc </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>05040000000000000000000000000001.[drbin/tlbin] is loaded. </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>Verify that an Identity property can be correctly retrieved and that it does not overlap on either side of the destination variable. </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Allocate a buffer 8x the size needed to represent the Identity used for this test for 1 to 16: fill the buffer with random data, and make a copy of it for comparison later randomly choose an offset of from 0 to the size of an Identity * 2 set the output pointer to the buffer + offset call the api to get the data verify that valid data and TEE_SUCCESS were returned Check that all data before the output portion of the buffer did not change Check that all data after the output portion of the buffer did not change </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd><a href="group___tts.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Minimum Product Version required for this testcase:</b></dt><dd>400A </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>GP_010_Properties.00600_TEE_GetPropertyAsIdentity.GC007_Identity_boundaryStress </dd></dl>

</div>
</div>
</div>
        <br><br>
        <hr>
        <small><em>Copyright (c) 2013-2015 TRUSTONIC LIMITED - TRUSTONIC CONFIDENTIAL</em></small>
    </body>
</html>
